@charset "utf-8";

@import url('enjekte.grid.css');
@import url('../../elements/css.css?v=1.2.1');


.ePage{width: 100%;}

/* COOKIE */
    .eCookie{position:fixed; bottom:10px; left:0px; z-index:10002; width:100%; padding:1rem 0px;}
    .eCookie .cookie{width:100%; display:flex; align-items: center; flex-wrap:nowrap; background:rgba(72, 63, 57, .5); -webkit-backdrop-filter: blur(50px);
    backdrop-filter: blur(50px);  border-radius: 0 0 0 10px; padding: 16px 24px;}
    .eCookie .cookie .info{width:100%; font-size:14px; color:#FFF; line-height: 24px; padding-right: 50px}
    .eCookie .cookie .info.mobile{display:none;}
    .eCookie .cookie .info a{text-decoration:underline; color:#333; font-weight:bold;}
    .eCookie .cookie .info a:hover{text-decoration:none;}
    .eCookie .cookie .check{width:240px; flex:0 0 240px; display:flex; justify-content:flex-end; align-items:flex-start;}
    .eCookie .cookie .check a{border:solid 1px #43A767; background:#43A767; color:#FFF; font-size:.875rem; padding:.5rem 1rem; margin-bottom:.5rem; word-wrap:unset;}*/
    .eCookie .cookie .check a:hover{background:#FFF; color:#43A767;}
    .eCookie .close{position:absolute; top:-1rem; right:1rem; border:solid 1px #43A767; background:#43A767; border-radius:50%; width:1.5rem; height:1.5rem; line-height:1.5rem; color:#FFF; font-weight:bold; font-size:.75rem; text-align:center;}
    .eCookie .close.ar-AE{left:1rem; right:auto;}
    .eCookie .close:hover{background:#FFF; color:#43A767;}
    @media only screen and (max-width:767px){
        .eCookie{padding:.5rem 0px;}
        .eCookie .cookie{flex-wrap:wrap;}
        .eCookie .cookie .info.desktop{display:none;}
        .eCookie .cookie .info.mobile{display:inline;}
        .eCookie .cookie .check{width:100%; flex:0 0 100%; margin-top:.5rem; justify-content:center;}
        .eCookie .cookie .check a{font-size:.75rem; margin-left:.5rem; padding:.25rem .5rem; margin-bottom:.5rem;}
    }


/* GENERAL :: Popup */
    .generalpopup{position:fixed; width:100%; height:100vh; top:0px; left:0px; display:none; overflow-y:scroll; background:rgba(0,0,0,0.6); z-index:99999;}
    .generalpopup .popupcontent{width:100%; height:100%; padding:3% 10%; display:flex; justify-content:center; align-items:center;}
    .popupclose{width:2rem; height:2rem; background:#333; color:#FFF; line-height:2rem; text-align:center; font-size:1rem; border-radius:50px; position:absolute; right:1rem; top:1rem;}
    @media only screen and (max-width:767px){
        .generalpopup .popupcontent{width:100%; height:100%; padding:10%;}
    }
/* GENERAL :: Message */
    .generalmessage{display:none; position:fixed; left:0px; top:0px; width:100%; height:100%; background:rgba(0,0,0,.25); z-index:10000;}
    .generalmessage-message{position:fixed; right:2rem; bottom:2rem; z-index:10000;}
    .generalmessage-message div{border-radius:.25rem; padding:.75rem; position:relative;}
    .generalmessage-message .error{border:solid 1px rgba(216,0,12,.5); background:rgba(255,186,186,.75); color:rgb(216,0,12);}
    .generalmessage-message .warning{border:solid 1px rgba(159,96,0,.5); background:rgba(254,239,179,.75); color:rgb(159,96,0);}
    .generalmessage-message .success{border:solid 1px rgba(34,119,0,.5); background:rgba(223,242,191,.75); color:rgb(34,119,0);}
    .generalmessage-message .info{border:solid 1px rgba(0,85,153,.5); background:rgba(187,238,255,.75); color:rgb(0,85,153);}
    .generalmessage-message div i{position:absolute; left:.5rem; top:.5rem; font-size:2rem; z-index:10001;}
    .generalmessage-message div p{padding-left:2.5rem; font-size:1rem; z-index:10002; display:flex; flex-wrap:wrap; align-items:center; font-family:'Nunito', sans-serif;}
/* CONFIRMATION */
    .confirmation{display:flex; flex-wrap:wrap; max-width:400px; padding:10px !important;}
    .confirmation .description{width:100%; font-size:1rem; margin-bottom:10px; padding:0px !important;}
    .confirmation .buttons{width:100%; display:flex; flex-wrap:wrap; justify-content:flex-start; padding:0px !important;}
    .confirmation .buttons a{margin-right:10px; font-size:12px; line-height:20px; padding:5px; display:flex; flex-wrap:wrap; border-radius:0.2rem;}
    .confirmation .buttons a span{font-size: 20px; margin-right:5px;}
    .confirmation .buttons a.success{background:rgba(47,187,47,.75); border:2px solid rgb(47,187,47); color:#333;}
    .confirmation .buttons a.success:hover{background:rgba(47,187,47,1);}
    .confirmation .buttons a.cancel{background:rgba(255,0,0,0.75); border:2px solid rgb(255,0,0); color:#FFF;}
    .confirmation .buttons a.cancel:hover{background:rgba(255,0,0,1);}
/* GENERAL Result Message */
    .resultmessage{display:none;}
    .resultmessage div{font-size:1.25rem; padding:1rem; border-radius:.25rem;}
    .resultmessage .error{color:#FF0000; border:dotted 1px rgba(255,0,0,0.5); background:rgba(255,0,0,0.01);}
    .resultmessage .warning{color:#FFFF00; border:dotted 1px rgba(255,255,0,0.5); background:rgba(255,255,0,0.01);}
    .resultmessage .success{color:#2FBB2F; border:dotted 1px rgba(47,187,47,0.5); background:rgba(47,187,47,0.01);}

/* POPUP FORM */
    .popupformbar-main{position:fixed; bottom:0px; left:0px; z-index:10003; width:100%; padding:1rem 0px; background:#e1422c; border-top: 5px solid #1d2c59;}
    .popupformbar-main .popupformbar{width:100%; display:flex; flex-wrap:nowrap;}
    .popupformbar-main.ar-AE .popupformbar{flex-direction: row-reverse;}
    .popupformbar-main .popupformbar .info{width:100%; font-size:.875rem; color:#FFF;}
    .popupformbar-main .popupformbar .info a{text-decoration:underline; color:#FFF; font-weight:bold;}
    .popupformbar-main .popupformbar .info a:hover{text-decoration:none;}
    .popupformbar-main .popupformbar .button{width:200px; flex:0 0 200px; display:flex; justify-content:flex-end; align-items:flex-start;}
    .popupformbar-main.ar-AE  .popupformbar .button{justify-content:flex-start;}
    .popupformbar-main .popupformbar .button a{border:solid 1px #1d2c59; background:#1d2c59; color:#FFF; font-size:.875rem; border-radius:.25rem; padding:.5rem 1rem; margin-bottom:.5rem; word-wrap:unset;}
    .popupformbar-main .popupformbar .button a:hover{background:#e1422c; color:#1d2c59;}
    .popupformbar-main .close{position:absolute; top:-1rem; right:1rem; border:solid 1px #1d2c59; background:#1d2c59; border-radius:50%; width:1.5rem; height:1.5rem; line-height:1.5rem; color:#FFF; font-weight:bold; font-size:.75rem; text-align:center;}
    .popupformbar-main.ar-AE .close{left:1rem; right:auto;}
    .popupformbar-main .close:hover{background:#FFF; color:#1d2c59;}
    @media only screen and (max-width:767px){
        .popupformbar-main{padding:.5rem 0px;}
        .popupformbar-main .popupformbar{flex-wrap:wrap;}
        .popupformbar-main .popupformbar .button{width:100%; flex:0 0 100%; margin-top:.5rem; justify-content:center;}
        .popupformbar-main .popupformbar .button a{font-size:.75rem; margin-left:.5rem; padding:.25rem .5rem; margin-bottom:.5rem;}
    }

    .popupform{position:fixed; left:0px; top:0px; z-index:10001; width:100%; height:100%; background:rgba(0,0,0,.75); display:none; flex-wrap:wrap; justify-content:center; align-items:center;}
    .popupform.open{display:flex;}
    .popupform .body{background: #FFF; border-radius: 10px; padding: 20px; max-height: 96vh; }
    .popupform .body .title-close{display:flex; flex-wrap:nowrap; margin-bottom: 20px; justify-content: space-between; align-items: flex-end;}
    .popupform .body .title-close .title{font-size: 32px; color: #333;}
    .popupform .body .title-close .close{width:2rem; height:2rem;}
    .popupform .body .title-close .close img{width:2rem; height:2rem;}
    .popupform form{width:500px; display:flex; flex-wrap:nowrap; position:relative; z-index:10004;}

    @media only screen and (max-width:767px){
        .popupform{padding: 2%;}
        .popupform form{width:100%; padding: 10px 0px;}
        .popupform .formitem{margin-bottom:.5rem;}
        .popupform .formitem input{height: 2rem;}
        .formitem select{height: 2.5rem;}
        .popupform .formitem textarea{height: 5rem;}
        .popupform .body{max-height: 96vh; overflow-y: scroll; padding: 10px;}
        .popupform .body .title-close .title{font-size: 16px;}
        .popupform .body .title-close .close{right:1rem; top:1rem; width:1.5rem; height:1.5rem;}
        .popupform .body .title-close .close img{width:1.5rem; height:1.5rem;}
    }


    .body.noscroll{
        overflow: hidden;
    }

    @media only screen and (max-width:767px){
        .ebuttonlayout.full{
            padding: 0 20px;
        }
        .ebuttonlayout .ebutton{
            width: 100% !important;
            justify-content: center;
        }
    }



